<dx-chart id="chart" [dataSource]="typeValue">
    <dxi-series *ngFor="let op of typeOp" [valueField]="op.value" [name]="op.name">
        <dxo-aggregation [enabled]="true" method="sum"></dxo-aggregation>
    </dxi-series>
    <dxo-common-series-settings argumentField="day" type="line" palette='Soft Blue' argumentType="numeric">
        <dxo-point hoverMode="allArgumentPoints"></dxo-point>
    </dxo-common-series-settings>
    <dxo-argument-axis [valueMarginsEnabled]="false" discreteAxisDivisionMode="crossLabels">
        <dxo-grid [visible]="true"></dxo-grid>
        <dxo-title [text]='intervalDate'></dxo-title>
    </dxo-argument-axis>
    <dxo-data-prepare-settings [checkTypeForAllData]='true'></dxo-data-prepare-settings>
    <dxo-value-axis>
        <dxo-title [text]='uom  === 1 ? "tone" : uom === 0 ? "mc" : "lei"'></dxo-title>
    </dxo-value-axis>
    <!-- <dxo-crosshair [enabled]="true" color="#949494" [width]="1" dashStyle="dot">
        <dxo-label [visible]="true" backgroundColor="#949494">
            <dxo-font color="#fff" [size]="12">
            </dxo-font>
        </dxo-label>
    </dxo-crosshair> -->
    <dxo-legend verticalAlignment="bottom" horizontalAlignment="center" itemTextPosition="bottom" [visible]='false'>
    </dxo-legend>
    <dxo-title [text]="txt.title">
        <dxo-subtitle [text]="txt.description"></dxo-subtitle>
    </dxo-title>
    <dxo-tooltip [enabled]="true"></dxo-tooltip>
    <dxo-export [enabled]="true"></dxo-export>
</dx-chart>